
set DESTFILE=c:\psx\whack\cd\worlds\generic\generic.bff

rem set CWLDDIR=c:\psx\whack\glovwld\generic
rem set GLOVWLD=c:\psx\whack\glovwld

set GLOVWLD=x:\ateam\psx-glover99\glovwld
set CWLDDIR=x:\ateam\psx-glover99\glovwld\generic
set XWORLD=x:\ateam\psx-glover99\worlds


call batches\tex generic
if errorlevel 1 goto ending
copy %CWLDDIR%\generic.spt c:\psx\whack\cd\worlds\generic\generic.spt

call batches\tex glovfont
if errorlevel 1 goto ending
copy %GLOVWLD%\glovfont\glovfont.spt c:\psx\whack\cd\GFX

call batches\tex smallfont
if errorlevel 1 goto ending
copy %GLOVWLD%\smallfont\smallfont.spt c:\psx\whack\cd\GFX\smalfont.spt

call batches\tex tipfont
if errorlevel 1 goto ending
copy %GLOVWLD%\tipfont\tipfont.spt c:\psx\whack\cd\GFX\tipfont.spt


bff_psa %XWORLD%\generic\chars\glove\loglove.psa %DESTFILE% /create /halfg /verbose >wibble.txt
if errorlevel 1 goto ending


bff_psa %XWORLD%\generic\chars\glove\plaster.psa %DESTFILE% /halfg
if errorlevel 1 goto ending

rem bff_psa %XWORLD%\generic\chars\glove\loglove.psa %DESTFILE% /halfg
rem if errorlevel 1 goto ending

bff_psa %XWORLD%\generic\chars\glove\cball.psa %DESTFILE% /flat
if errorlevel 1 goto ending
bff_psa %XWORLD%\generic\chars\glove\gball.psa %DESTFILE%
if errorlevel 1 goto ending
bff_psa %XWORLD%\generic\chars\glove\shine.psa %DESTFILE%
if errorlevel 1 goto ending




bff_psa %XWORLD%\generic\chars\glove\csmash.psa %DESTFILE% /glovescape
if errorlevel 1 goto ending
bff_psa %XWORLD%\generic\chars\glove\snowfrag.psa %DESTFILE% /glovescape
if errorlevel 1 goto ending



bff_psa %XWORLD%\generic\chars\pickups\rotor.psa %DESTFILE% /halfg
if errorlevel 1 goto ending
bff_psa %XWORLD%\generic\chars\pickups\frogspel.psa %DESTFILE% /halfg
if errorlevel 1 goto ending


bff_psa %XWORLD%\generic\chars\critters\nmefrog.psa %DESTFILE% /halfg
if errorlevel 1 goto ending

bff_psa %CWLDDIR%\fadestar.psa %DESTFILE% /noseg
if errorlevel 1 goto ending
bff_psa %CWLDDIR%\slamstar.psa %DESTFILE% /noseg
if errorlevel 1 goto ending



rem tipmaker %CWLDDIR%\tips.txt c:\psx\whack\cd\test\tiptext.dat
rem if exist tiptext.dat move tiptext.dat c:\psx\whack\cd\test
rem if errorlevel 1 goto ending


copy x:\ateam\psx-glover99\cd\test\credits.txt c:\psx\whack\cd\test


goto noerror

:ending
echo *** There Were Errors ***

:noerror
